TFDi Design Icon
TFDi Design
VA APIFlightsComplete

Complete Flight

Complete and file a PIREP for an ongoing flight

POST
/flights/complete

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/flights/complete" \  -H "Content-Type: application/json" \  -d '{    "bidID": 0,    "remainingLoad": 0,    "flightTime": 0,    "landingRate": 0.1,    "fuelUsed": 0,    "route": [      "string"    ],    "flightLog": "string",    "flightData": "string"  }'
Empty